<?php
/**
 * Intreface DAO
 *
 * @author: http://phpdao.com
 * @date: 2021-09-05 06:05
 */
interface ImpotencetreatmentsuppliersaveDAO{

	/**
	 * Get Domain object by primry key
	 *
	 * @param String $id primary key
	 * @Return Impotencetreatmentsuppliersave 
	 */
	public function load($id);

	/**
	 * Get all records from table
	 */
	public function queryAll();
	
	/**
	 * Get all records from table ordered by field
	 * @Param $orderColumn column name
	 */
	public function queryAllOrderBy($orderColumn);
	
	/**
 	 * Delete record from table
 	 * @param impotencetreatmentsuppliersave primary key
 	 */
	public function delete($impotencetreatmentsuppliersaveid);
	
	/**
 	 * Insert record to table
 	 *
 	 * @param Impotencetreatmentsuppliersave impotencetreatmentsuppliersave
 	 */
	public function insert($impotencetreatmentsuppliersave);
	
	/**
 	 * Update record in table
 	 *
 	 * @param Impotencetreatmentsuppliersave impotencetreatmentsuppliersave
 	 */
	public function update($impotencetreatmentsuppliersave);	

	/**
	 * Delete all rows
	 */
	public function clean();

	public function queryByTypesimpotencetreatmentid($value);

	public function queryBySaveid($value);

	public function queryBySupplierid($value);

	public function queryByImpotencetreatmentsuppliersavetype($value);

	public function queryByImpotencetreatmentsuppliersavebefore($value);

	public function queryByImpotencetreatmentsuppliersavetamount($value);

	public function queryByImpotencetreatmentsuppliersaveafter($value);

	public function queryByImpotencetreatmentsuppliersavecomment($value);

	public function queryByConditions($value);

	public function queryByImpotencetreatmentsuppliersavedate($value);

	public function queryByUserid($value);

	public function queryByTablename($value);


	public function deleteByTypesimpotencetreatmentid($value);

	public function deleteBySaveid($value);

	public function deleteBySupplierid($value);

	public function deleteByImpotencetreatmentsuppliersavetype($value);

	public function deleteByImpotencetreatmentsuppliersavebefore($value);

	public function deleteByImpotencetreatmentsuppliersavetamount($value);

	public function deleteByImpotencetreatmentsuppliersaveafter($value);

	public function deleteByImpotencetreatmentsuppliersavecomment($value);

	public function deleteByConditions($value);

	public function deleteByImpotencetreatmentsuppliersavedate($value);

	public function deleteByUserid($value);

	public function deleteByTablename($value);


}
?>